libzypp 17.37.10

zyppng::AcceptUnknownDigestRequest Namespace Reference

## Functions
constexpr std::string_view | CTYPE ("digest/accept-unknown-digest")
constexpr std::string_view | FILE ("file")
constexpr std::string_view | NAME ("name")
UserData | makeData (const zypp::Pathname &p, const std::string &name)

## Detailed Description

A digest user request asking the user to accept verification with a unknown digest.

Something like: "Unknown digest <digestname> for file <file>."

Userdata fields:

- "file" Path of the file to be validated
- "name" Name of the digest

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::AcceptUnknownDigestRequest::CTYPE | ( | "digest/accept-unknown-digest" |  | ) |
| constexpr

## ◆ FILE()

std::string_view zyppng::AcceptUnknownDigestRequest::FILE | ( | "file" |  | ) |
| constexpr

## ◆ NAME()

std::string_view zyppng::AcceptUnknownDigestRequest::NAME | ( | "name" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::AcceptUnknownDigestRequest::makeData | ( | const zypp::Pathname & | p,
|  | const std::string & | name )

Definition at line 19 of file userrequest.cc.